// pages/task/index/index.js
const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    topBarH: app.globalData.CustomBar,
    curTab: 0,
    tabs: [{
      lab: '全部',
      val: 0
    }, {
      lab: '进行中',
      val: 1
    }, {
      lab: '已完成',
      val: 2
    }, {
      lab: '已超时',
      val: 3
    }, ],
    list: [{
      type: 0
    }, {
      type: 1
    }, {
      type: 1
    }, {
      type: 1
    }, {
      type: 1
    }]
  },

  /**
   * 切换筛选
   */
  tabSelect: function (params) {
    const index = params.currentTarget.dataset.index;
    this.data.curTab = index;
    this.setData(this.data)
  },

  /**
   * 跳转详情
   */
  toDetail: function (params) {
    const item = params.currentTarget.dataset.item;
    if (item.type == 0) {
      wx.navigateTo({
        url: '/pages/task/file/index/index',
      })
    } else {
      wx.navigateTo({
        url: '/pages/task/check/index/index',
      })
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})